Skip to main content
`Ctrl`+`K`

# PetscViewerMonitorLGSetUp

sets up a viewer to be used by line graph monitoring routines such as `KSPMonitorResidualDrawLG()`

## Synopsis

    #include "petscdraw.h"
    #include "petscviewer.h"
    PetscErrorCode PetscViewerMonitorLGSetUp(PetscViewer viewer, const char host[], const char title[], const char metric[], PetscInt l, const char *names[], int x, int y, int m, int n) PeNS

Collective

## Input Parameters

- viewer - the viewer in which to display the line graphs, it not a `PETSCVIEWERDRAW` it will set to that `PetscViewerType`

- host - the host to open the window on, ‘NULL’ indicates the local host

- title - the title at the top of the window

- metric - the label above the graph

- l - the number of curves

- names - the names of each curve to be used in displaying the legend. May be ‘NULL’

- x - horizontal screen coordinate of the upper left corner of window, or use `PETSC_DECIDE`

- y - vertical screen coordinate of the upper left corner of window, or use `PETSC_DECIDE`

- m - window width in pixels, or may use `PETSC_DECIDE` or `PETSC_DRAW_FULL_SIZE`, `PETSC_DRAW_HALF_SIZE`,`PETSC_DRAW_THIRD_SIZE`, `PETSC_DRAW_QUARTER_SIZE`

- n - window height in pixels, or may use `PETSC_DECIDE` or `PETSC_DRAW_FULL_SIZE`, `PETSC_DRAW_HALF_SIZE`,`PETSC_DRAW_THIRD_SIZE`, `PETSC_DRAW_QUARTER_SIZE`

## See Also

`PetscViewer()`, `PETSCVIEWERDRAW`, `PetscViewerDrawGetDrawLG()`, `PetscViewerDrawOpen()`, `PetscViewerDrawSetInfo()`

## Level

developer

## Location

src/sys/classes/viewer/impls/draw/drawv.c

Index of all Viewer routines
Table of Contents for all manual pages
Index of all manual pages